package com.zhongdao.jlr.business.vo;
import java.util.Date;

public class CouponConsumeJlr {
	private Integer id;//主键
	private String vinCode;
	private String electronicAccounts;//电子账户
	private Double consumeCount;
	private Date consumeTime;
	private Integer resccueCompanyCode;
	private String reparieInfo;
	private String hitchInfo;
	private Integer isSettle;
	private Date settleTime;
	private String remark;//备注
	private Integer settlementState; //结算状态
	private Date createTime;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getVinCode() {
		return vinCode;
	}

	public void setVinCode(String vinCode) {
		this.vinCode = vinCode;
	}

	public String getElectronicAccounts() {
		return electronicAccounts;
	}

	public void setElectronicAccounts(String electronicAccounts) {
		this.electronicAccounts = electronicAccounts;
	}

	public Double getConsumeCount() {
		return consumeCount;
	}

	public void setConsumeCount(Double consumeCount) {
		this.consumeCount = consumeCount;
	}

	public Date getConsumeTime() {
		return consumeTime;
	}

	public void setConsumeTime(Date consumeTime) {
		this.consumeTime = consumeTime;
	}

	public Integer getResccueCompanyCode() {
		return resccueCompanyCode;
	}

	public void setResccueCompanyCode(Integer resccueCompanyCode) {
		this.resccueCompanyCode = resccueCompanyCode;
	}

	public String getReparieInfo() {
		return reparieInfo;
	}

	public void setReparieInfo(String reparieInfo) {
		this.reparieInfo = reparieInfo;
	}

	public String getHitchInfo() {
		return hitchInfo;
	}

	public void setHitchInfo(String hitchInfo) {
		this.hitchInfo = hitchInfo;
	}

	public Integer getIsSettle() {
		return isSettle;
	}

	public void setIsSettle(Integer isSettle) {
		this.isSettle = isSettle;
	}

	public Date getSettleTime() {
		return settleTime;
	}

	public void setSettleTime(Date settleTime) {
		this.settleTime = settleTime;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getSettlementState() {
		return settlementState;
	}

	public void setSettlementState(Integer settlementState) {
		this.settlementState = settlementState;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	@Override
	public String toString() {
		return "CouponConsumeJlr{" +
				"id=" + id +
				", vinCode='" + vinCode + '\'' +
				", electronicAccounts='" + electronicAccounts + '\'' +
				", consumeCount=" + consumeCount +
				", consumeTime=" + consumeTime +
				", resccueCompanyCode=" + resccueCompanyCode +
				", reparieInfo='" + reparieInfo + '\'' +
				", hitchInfo='" + hitchInfo + '\'' +
				", isSettle=" + isSettle +
				", settleTime=" + settleTime +
				", remark='" + remark + '\'' +
				", settlementState=" + settlementState +
				", createTime=" + createTime +
				'}';
	}
}